if not PriorityQueue then return end

if select(2, UnitClass('player')) ~= "DRUID" then
	return
end

local L = LibStub("AceLocale-3.0"):GetLocale("PriorityQueue")
local C = PriorityQueue.constants -- Defined in PriorityQueue LUA no locale needed.

C["Swipe"], _, C["Swipe Icon"] = GetSpellInfo(779)
C["Mangle"], _, C["Mangle Icon"] = GetSpellInfo(48566)
C["Savage Roar"], _, C["Savage Roar Icon"] = GetSpellInfo(52610)
C["Rake"], _, C["Rake Icon"] = GetSpellInfo(48574)
C["Shred"], _, C["Shred Icon"] = GetSpellInfo(48572)
C["Rip"], _, C["Rip Icon"] = GetSpellInfo(49800)

---------------------------
-- Druid Priorities
---------------------------

function PriorityQueue:GetDruidPriorityDefaults()
	-- need a function to work out spec for now fixed values
	self.presets.priorities.name["Cat"] =  L["Cat"]
	self.presets.priorities.list["Cat"] = { "sw", "none",  "none",  "none", "none", "none", "none", "none", "none", "none" }
	self.presets.default = "Cat"
end

PriorityQueue.priorityTable.name["sw"] = C["Swipe"]
PriorityQueue.priorityTable.icon["sw"] = C["Swipe Icon"]
PriorityQueue.priorityTable.test["sw"] = 
	function () 
		return PriorityQueue:SpellAvailable(C["Swipe"]) 
	end 

PriorityQueue.priorityTable.name["mang"] = C["Mangle"]
PriorityQueue.priorityTable.icon["mang"] = C["Mangle Icon"]
PriorityQueue.priorityTable.test["mang"] = 
	function () 
		return (not PriorityQueue:GetDebuffInfo(C["Mangle"])) and (PriorityQueue:SpellAvailable(C["Swipe"]) and (UnitPower("player") >= 34));
	end